> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-hipaa-address.md).

# HIPAA Address (HipaaAddressGenerator)

The [HIPAA Address](/app/generation/generators/generator-reference/hipaa-address.md) generator can be used to generate cities, states, zip codes, and latitude/longitude values that follow HIPAA guidelines for safe harbor.

## Link object structure <a href="#generator-api-hipaa-address-link-object" id="generator-api-hipaa-address-link-object"></a>

The HIPAA Address generator can be linked. It can be self-consistent, but not consistent with another column. The consistency can be case-sensitive. You cannot configure differential privacy.

The `metadata` object is populated from the [`HipaaAddressMetadata`](https://app.tonic.ai/apidocs/index.html#/models/HipaaAddressMetadata) object, which includes: The type of address value that is in the column How to generate zip codes. You can generate zip codes that replace the last two digits with zeros, or use a real zip code from the same state.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "presetId": "string",
    "generatorId": "HipaaAddressGenerator",
    "replaceTruncatedZerosInZipCode": boolean,
    "addressType": "enum",
    "isConsistent": boolean,
    "caseSensitiveConsistency": boolean,
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string"  //If custom value processor assigned
  }
}
```

## Example replacement <a href="#generator-api-hipaa-address-replacement" id="generator-api-hipaa-address-replacement"></a>

The following example replacement for the HIPAA Address generator contains a single, unlinked column that contains a zip code value.

The generator is configured to be consistent, and to not use zeros in the generated zip code values. The consistency is case-sensitive.

```json
{
  "name": "zip-code",
  "schema": "public",
  "table": "users",
  "links": [
    {
      "schema": "public",
      "table": "users",
      "column": "zip-code",
      "metadata": {
        "presetId": "HipaaAddressGenerator",
        "generatorId": "HipaaAddressGenerator",
        "replaceTruncatedZerosInZipCode": true,
        "addressType": "ZipCode",
        "isConsistent": true,
        "caseSensitiveConsistency": true
      }
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-hipaa-address.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
